Bug 1084086 - NFS Ganesha File Server
NFS Ganesha File Server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Simon Clark
ChangeAcceptedF21 SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 11:01 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-04-03 11:01:14 EDT
This is a tracking bug for Change: NFS Ganesha File Server
For more details, see: http://fedoraproject.org//wiki/Changes/NFSGanesha

NFS Ganesha is a user mode file server that supports NFSv3, NFSv4, and NFSv4.1 including pNFS for distributed filesystems.  It uses loadable filesystem driver modules to support its backend filesystems.  It also integrates 9P.2000L file service
Comment 1 Jaroslav Reznik 2014-07-04 06:43:47 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Jim Lieb 2014-07-11 14:51:01 EDT
The package was recently updated to the latest upstream version (V2.1.0).  It has been in testing for a while and works as advertised.
Comment 3 Jaroslav Reznik 2014-10-07 08:23:56 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 4 Jaroslav Reznik 2014-10-15 08:04:51 EDT
Based on comment #2, moving to ON_QA.
Comment 5 Simon Clark 2014-10-25 05:35:15 EDT
I have drafted the F21 release notes entry for NFS Ganesha (mainly text from the F21 Changes wiki page).  Please would you take a look at https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/File_Servers.xml and let me know if it is OK or if anything needs to be added or changed.

Thanks.
Comment 6 Jim Lieb 2014-10-26 18:43:26 EDT
ACK.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.